package de.jottyfan.minecraft.quickiefabric.items;

import de.jottyfan.minecraft.quickiefabric.blocks.QuickieBlocks;
import net.fabricmc.fabric.api.item.v1.FabricItemSettings;
import net.minecraft.block.Block;
import net.minecraft.block.Blocks;
import net.minecraft.item.Item;
import net.minecraft.item.ItemUsageContext;
import net.minecraft.util.ActionResult;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 *
 * @author jotty
 *
 */
public class ItemSulphor extends Item {

	public ItemSulphor() {
		super(new FabricItemSettings());
	}

  @Override
  public ActionResult useOnBlock(ItemUsageContext context) {
  	World world = context.getWorld();
  	BlockPos pos = context.getBlockPos();
  	Block block = world.getBlockState(pos).getBlock();
  	if (Blocks.LAVA_CAULDRON.equals(block)) {
  		if (world.getBlockState(pos.up()).isAir()) {
  			world.setBlockState(pos.up(), QuickieBlocks.SULFORPAD.getDefaultState());
  			context.getStack().decrement(1);
  		}
  	}
  	return ActionResult.PASS;
  }
}
